geos::io::WKBConstants Namespace Reference

Constant values used by the WKB format. More...

## Enumerations

enum | byteOrder { wkbXDR = 0 , wkbNDR = 1 }
enum | wkbType { wkbPoint = 1 , wkbLineString = 2 , wkbPolygon = 3 , wkbMultiPoint = 4 , wkbMultiLineString = 5 , wkbMultiPolygon = 6 , wkbGeometryCollection = 7 , wkbCircularString = 8 , wkbCompoundCurve = 9 , wkbCurvePolygon = 10 , wkbMultiCurve = 11 , wkbMultiSurface = 12 }
enum | wkbFlavour { wkbExtended = 1 , wkbIso = 2 }

## Detailed Description

Constant values used by the WKB format.